Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.MatchFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.MatchFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.MatchFlag

extends java.lang.Enum
implements QtEnumerator

This enum describes the type of matches that can be used when searching for items in a model.

See also:
  QString::compare(), and QRegExp.

See Also:
  Serialized Form

Field Summary
`static Qt.MatchFlag` | `MatchCaseSensitive` The search is case sensitive.
`static Qt.MatchFlag` | `MatchContains` The search term is contained in the item.
`static Qt.MatchFlag` | `MatchEndsWith` The search term matches the end of the item.
`static Qt.MatchFlag` | `MatchExactly` Performs `QVariant`-based matching.
`static Qt.MatchFlag` | `MatchFixedString` Performs string-based matching.
`static Qt.MatchFlag` | `MatchRecursive` Searches the entire hierarchy.
`static Qt.MatchFlag` | `MatchRegExp` Performs string-based matching using a regular expression as the search term.
`static Qt.MatchFlag` | `MatchStartsWith` The search term matches the start of the item.
`static Qt.MatchFlag` | `MatchWildcard` Performs string-based matching using a string with wildcards as the search term.
`static Qt.MatchFlag` | `MatchWrap` Perform a search that wraps around, so that when the search reaches the last item in the model, it begins again at the first item and continues until all items have been examined.

Method Summary
`static Qt.MatchFlags` | `createQFlags(Qt.MatchFlag[] values)` This function creates a com.trolltech.qt.core.Qt$MatchFlags with the specified `com.trolltech.qt.core.Qt$MatchFlag[]` MatchFlag values set.
`static Qt.MatchFlag` | `resolve(int value)` Returns the MatchFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.MatchFlag` | `valueOf(java.lang.String name)`
`static Qt.MatchFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MatchExactly

    public static final Qt.MatchFlag MatchExactly

  Performs `QVariant`-based matching.

### MatchContains

    public static final Qt.MatchFlag MatchContains

  The search term is contained in the item.

### MatchStartsWith

    public static final Qt.MatchFlag MatchStartsWith

  The search term matches the start of the item.

### MatchEndsWith

    public static final Qt.MatchFlag MatchEndsWith

  The search term matches the end of the item.

### MatchRegExp

    public static final Qt.MatchFlag MatchRegExp

  Performs string-based matching using a regular expression as the search term.

### MatchWildcard

    public static final Qt.MatchFlag MatchWildcard

  Performs string-based matching using a string with wildcards as the search term.

### MatchFixedString

    public static final Qt.MatchFlag MatchFixedString

  Performs string-based matching. String-based comparisons are case-insensitive unless the `MatchCaseSensitive` flag is also specified.

### MatchCaseSensitive

    public static final Qt.MatchFlag MatchCaseSensitive

  The search is case sensitive.

### MatchWrap

    public static final Qt.MatchFlag MatchWrap

  Perform a search that wraps around, so that when the search reaches the last item in the model, it begins again at the first item and continues until all items have been examined.

### MatchRecursive

    public static final Qt.MatchFlag MatchRecursive

  Searches the entire hierarchy.

Method Detail

### values

    public static Qt.MatchFlag[] values()

### valueOf

    public static Qt.MatchFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.MatchFlags createQFlags(Qt.MatchFlag[] values)

  This function creates a com.trolltech.qt.core.Qt$MatchFlags with the specified `com.trolltech.qt.core.Qt$MatchFlag[]` MatchFlag values set.

### resolve

    public static Qt.MatchFlag resolve(int value)

  Returns the MatchFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD